petsc-3.7.7 2017-09-25
Report Typos and Errors

# VecCUDARestoreArrayReadWrite

Restore a CUDA device pointer previously acquired with VecCUDAGetArrayReadWrite().

### Synopsis

    PETSC_EXTERN PetscErrorCode VecCUDARestoreArrayReadWrite(Vec v, PetscScalar **a)

This marks the host data as out of date. Subsequent access to the vector data on the host side with for instance VecGetArray() incurs a data transfer.

### Input Parameter

| v | - the vector
| a | - the CUDA device pointer. This pointer is invalid after VecCUDARestoreArrayReadWrite() returns.

### Fortran note

This function is not currently available from Fortran.

### See Also

VecCUDAGetArrayReadWrite(), VecCUDAGetArrayRead(), VecCUDAGetArrayWrite(), VecGetArray(), VecRestoreArray(), VecGetArrayRead()

Level:intermediate
Location:src/vec/vec/impls/seq/seqcuda/veccuda2.cu
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages